Subject: Ticket Assigned - Incomplete Orders order number 6369181859
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 30 Dec 2021 06:43:00 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Incomplete Orders order number 6369181859 Dear Centrepoint,

Good day My order number 6369181859 are incomplete. I did not received all of the items until now. I already called the customer service but still no action. Kindly see the summary of my orders:

I only received these 11 items:

For your assistance please on the remaining ones.

Thank you.
Rovick Baldemoro

Sent from my iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3484481